Package owl.translations.canonical

## Class NonDeterministicConstructions.Tracking

- java.lang.Object
- - owl.automaton.AbstractCachedStatesAutomaton<S,​A>
  - - owl.translations.canonical.NonDeterministicConstructions.Tracking

- All Implemented Interfaces:
    `Automaton<Formula,​NoneAcceptance>`, `EdgeTreeAutomatonMixin<Formula,​NoneAcceptance>`
  Enclosing class:
    NonDeterministicConstructions

      public static final class NonDeterministicConstructions.Tracking
      extends AbstractCachedStatesAutomaton<S,​A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeMapVisitor<S>, Automaton.EdgeTreeVisitor<S>, Automaton.EdgeVisitor<S>, Automaton.PreferredEdgeAccess, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    - ### Fields inherited from interface owl.automaton.EdgeTreeAutomatonMixin

      `ACCESS_MODES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tracking​(Factories factories, Formula formula)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NoneAcceptance` | `acceptance()` | Returns the acceptance condition of this automaton.
    `ValuationSetFactory` | `factory()` |

    - ### Methods inherited from class owl.automaton.AbstractCachedStatesAutomaton

      `accept, accept, accept, cache, states`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, accept, accept, accept, edge, is, name, onlyInitialState, predecessors, size, states, successor, successors, successors`

    - ### Methods inherited from interface owl.automaton.EdgeTreeAutomatonMixin

      `edgeMap, edges, preferredEdgeAccess`

- - ### Constructor Detail

    - #### Tracking

          public Tracking​(Factories factories,
                          Formula formula)

  - ### Method Detail

    - #### acceptance

          public NoneAcceptance acceptance()

      Description copied from interface: `Automaton`
      Returns the acceptance condition of this automaton.
      Returns:
        The acceptance.

    - #### factory

          public final ValuationSetFactory factory()

      Specified by:
        `factory` in interface `Automaton<S,​A extends OmegaAcceptance>`